<?xml version="1.0" encoding="UTF-8"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.882498736">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.882498736" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings />
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser" />
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.882498736" name="Debug" parent="fr.ac6.managedbuild.config.gnu.cross.exe.debug" postannouncebuildStep="Generating hex and Printing size information:" postbuildStep="arm-none-eabi-objcopy -O ihex &quot;${BuildArtifactFileBaseName}.elf&quot; &quot;${BuildArtifactFileBaseName}.hex&quot; &amp;&amp; arm-none-eabi-size &quot;${BuildArtifactFileName}&quot;">
					<folderInfo id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.882498736." name="/" resourcePath="">
						<toolChain id="fr.ac6.managedbuild.toolchain.gnu.cross.exe.debug.31795769" name="Ac6 STM32 MCU GCC" superClass="fr.ac6.managedbuild.toolchain.gnu.cross.exe.debug">
							<option id="fr.ac6.managedbuild.option.gnu.cross.prefix.1491459579" name="Prefix" superClass="fr.ac6.managedbuild.option.gnu.cross.prefix" value="arm-none-eabi-" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.mcu.958878654" name="Mcu" superClass="fr.ac6.managedbuild.option.gnu.cross.mcu" value="STM32F411VETx" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.board.1276191196" name="Board" superClass="fr.ac6.managedbuild.option.gnu.cross.board" value="05_PWM_input" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.core.1083960614" name="Core" superClass="fr.ac6.managedbuild.option.gnu.cross.core" valueType="stringList">
								<listOptionValue builtIn="false" value="ARM Cortex-M4" />
								<listOptionValue builtIn="false" value="CM4" />
							</option>
							<option id="fr.ac6.managedbuild.option.gnu.cross.instructionSet.2323489" name="Instruction Set" superClass="fr.ac6.managedbuild.option.gnu.cross.instructionSet" value="fr.ac6.managedbuild.option.gnu.cross.instructionSet.thumbII" valueType="enumerated" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.fpu.365408552" name="Floating point hardware" superClass="fr.ac6.managedbuild.option.gnu.cross.fpu" value="fr.ac6.managedbuild.option.gnu.cross.fpu.fpv4-sp-d16" valueType="enumerated" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.floatabi.48717752" name="Floating-point ABI" superClass="fr.ac6.managedbuild.option.gnu.cross.floatabi" value="fr.ac6.managedbuild.option.gnu.cross.floatabi.hard" valueType="enumerated" />
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="fr.ac6.managedbuild.targetPlatform.gnu.cross.778566275" isAbstract="false" osList="all" superClass="fr.ac6.managedbuild.targetPlatform.gnu.cross" />
							<builder buildPath="${workspace_loc:/05_PWM_input}/Debug" id="fr.ac6.managedbuild.builder.gnu.cross.761808714" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" superClass="fr.ac6.managedbuild.builder.gnu.cross">
								<outputEntries>
									<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="outputPath" name="Debug" />
								</outputEntries>
							</builder>

							<tool id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.681786178" name="MCU GCC Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler">
								<option defaultValue="gnu.c.optimization.level.none" id="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level.505096613" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.c.optimization.level.debug" valueType="enumerated" />
								<option id="gnu.c.compiler.option.debugging.level.1813613860" name="Debug Level" superClass="gnu.c.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated" />
								<option id="gnu.c.compiler.option.include.paths.1203751799" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath"><listOptionValue builtIn="false" value="../../../Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Device/ST/STM32F4xx/Include" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Include" /></option>
								<option id="gnu.c.compiler.option.preprocessor.def.symbols.2046814895" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols"><listOptionValue builtIn="false" value="__weak=__attribute__((weak))" /><listOptionValue builtIn="false" value="__packed=__attribute__((__packed__))" /><listOptionValue builtIn="false" value="USE_HAL_DRIVER" /><listOptionValue builtIn="false" value="STM32F411xE" /></option>
								<option id="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other.75304234" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.912223922" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s.750340248" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s" />
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.1624767195" name="MCU G++ Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler">
								<option defaultValue="gnu.cpp.optimization.level.none" id="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level.522759292" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.cpp.optimization.level.debug" valueType="enumerated" />
								<option id="gnu.cpp.compiler.option.debugging.level.440916347" name="Debug Level" superClass="gnu.cpp.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.cpp.compiler.debugging.level.max" valueType="enumerated" />
								<option id="gnu.cpp.compiler.option.include.paths.300943157" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath"><listOptionValue builtIn="false" value="../../../Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Device/ST/STM32F4xx/Include" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Include" /></option>
								<option id="gnu.cpp.compiler.option.preprocessor.def.1589553330" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def" useByScannerDiscovery="false" valueType="definedSymbols"><listOptionValue builtIn="false" value="__weak=__attribute__((weak))" /><listOptionValue builtIn="false" value="__packed=__attribute__((__packed__))" /><listOptionValue builtIn="false" value="USE_HAL_DRIVER" /><listOptionValue builtIn="false" value="STM32F411xE" /></option>
								<option id="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other.1894942204" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp.1851524043" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s.719404221" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s" />
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.1966322396" name="MCU GCC Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker">
								<option id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script.1455183560" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script" value="../STM32F411VETx_FLASH.ld" valueType="string" />
								<option id="gnu.c.link.option.libs.48083633" name="Libraries (-l)" superClass="gnu.c.link.option.libs" valueType="libs" />
								<option id="gnu.c.link.option.paths.559212708" name="Library search path (-L)" superClass="gnu.c.link.option.paths" valueType="libPaths" />
								<option id="gnu.c.link.option.ldflags.1156243017" superClass="gnu.c.link.option.ldflags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
								<option id="gnu.c.link.option.other.179131832" name="Other options (-Xlinker [option])" superClass="gnu.c.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
								<inputType id="cdt.managedbuild.tool.gnu.c.linker.input.1570324833" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
									<additionalInput kind="additionalinput" paths="$(LIBS)" />
								</inputType>
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.1785991980" name="MCU G++ Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker">
								<option id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script.95687445" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script" value="../STM32F411VETx_FLASH.ld" valueType="string" />
								<option id="gnu.cpp.link.option.libs.711449198" name="Libraries (-l)" superClass="gnu.cpp.link.option.libs" valueType="libs" />
								<option id="gnu.cpp.link.option.paths.102188781" name="Library search path (-L)" superClass="gnu.cpp.link.option.paths" valueType="libPaths" />
								<option id="gnu.cpp.link.option.flags.443741723" superClass="gnu.cpp.link.option.flags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
								<option id="gnu.cpp.link.option.other.1126237626" name="Other options (-Xlinker [option])" superClass="gnu.cpp.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
								<inputType id="cdt.managedbuild.tool.gnu.cpp.linker.input.744036062" superClass="cdt.managedbuild.tool.gnu.cpp.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
									<additionalInput kind="additionalinput" paths="$(LIBS)" />
								</inputType>
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.archiver.973733079" name="MCU GCC Archiver" superClass="fr.ac6.managedbuild.tool.gnu.archiver" />
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.assembler.176365210" name="MCU GCC Assembler" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler">
								<option id="gnu.both.asm.option.include.paths.1720705172" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" valueType="includePath">
									
									
								</option>
								<inputType id="cdt.managedbuild.tool.gnu.assembler.input.593154262" superClass="cdt.managedbuild.tool.gnu.assembler.input" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.assembler.input.1592498583" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler.input" />
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="" />
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings" />
		</cconfiguration>
		<cconfiguration id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1925157130">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1925157130" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings />
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser" />
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser" />
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="rm -rf" description="" id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1925157130" name="Release" parent="fr.ac6.managedbuild.config.gnu.cross.exe.release" postannouncebuildStep="Generating hex and Printing size information:" postbuildStep="arm-none-eabi-objcopy -O ihex &quot;${BuildArtifactFileBaseName}.elf&quot; &quot;${BuildArtifactFileBaseName}.hex&quot; &amp;&amp; arm-none-eabi-size &quot;${BuildArtifactFileName}&quot;">
					<folderInfo id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1925157130." name="/" resourcePath="">
						<toolChain id="fr.ac6.managedbuild.toolchain.gnu.cross.exe.release.1543221688" name="Ac6 STM32 MCU GCC" superClass="fr.ac6.managedbuild.toolchain.gnu.cross.exe.release">
							<option id="fr.ac6.managedbuild.option.gnu.cross.prefix.1491459579" name="Prefix" superClass="fr.ac6.managedbuild.option.gnu.cross.prefix" value="arm-none-eabi-" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.mcu.958878654" name="Mcu" superClass="fr.ac6.managedbuild.option.gnu.cross.mcu" value="STM32F411VETx" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.board.1276191196" name="Board" superClass="fr.ac6.managedbuild.option.gnu.cross.board" value="05_PWM_input" valueType="string" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.core.1083960614" name="Core" superClass="fr.ac6.managedbuild.option.gnu.cross.core" valueType="stringList">
								<listOptionValue builtIn="false" value="ARM Cortex-M4" />
								<listOptionValue builtIn="false" value="CM4" />
							</option>
							<option id="fr.ac6.managedbuild.option.gnu.cross.instructionSet.2323489" name="Instruction Set" superClass="fr.ac6.managedbuild.option.gnu.cross.instructionSet" value="fr.ac6.managedbuild.option.gnu.cross.instructionSet.thumbII" valueType="enumerated" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.fpu.365408552" name="Floating point hardware" superClass="fr.ac6.managedbuild.option.gnu.cross.fpu" value="fr.ac6.managedbuild.option.gnu.cross.fpu.fpv4-sp-d16" valueType="enumerated" />
							<option id="fr.ac6.managedbuild.option.gnu.cross.floatabi.48717752" name="Floating-point ABI" superClass="fr.ac6.managedbuild.option.gnu.cross.floatabi" value="fr.ac6.managedbuild.option.gnu.cross.floatabi.hard" valueType="enumerated" />
							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="fr.ac6.managedbuild.targetPlatform.gnu.cross.778566275" isAbstract="false" osList="all" superClass="fr.ac6.managedbuild.targetPlatform.gnu.cross" />
							<builder buildPath="${workspace_loc:/05_PWM_input}/Release" id="fr.ac6.managedbuild.builder.gnu.cross.761808714" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" superClass="fr.ac6.managedbuild.builder.gnu.cross">
								<outputEntries>
									<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="outputPath" name="Release" />
								</outputEntries>
							</builder>

							<tool id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.681786178" name="MCU GCC Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler">
								<option defaultValue="gnu.c.optimization.level.none" id="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level.505096613" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.c.optimization.level.debug" valueType="enumerated" />
								<option id="gnu.c.compiler.option.debugging.level.1813613860" name="Debug Level" superClass="gnu.c.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated" />
								<option id="gnu.c.compiler.option.include.paths.1203751799" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath"><listOptionValue builtIn="false" value="../../../Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Device/ST/STM32F4xx/Include" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Include" /></option>
								<option id="gnu.c.compiler.option.preprocessor.def.symbols.2046814895" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols"><listOptionValue builtIn="false" value="__weak=__attribute__((weak))" /><listOptionValue builtIn="false" value="__packed=__attribute__((__packed__))" /><listOptionValue builtIn="false" value="USE_HAL_DRIVER" /><listOptionValue builtIn="false" value="STM32F411xE" /></option>
								<option id="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other.75304234" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.912223922" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s.750340248" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s" />
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.1624767195" name="MCU G++ Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler">
								<option defaultValue="gnu.cpp.optimization.level.none" id="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level.522759292" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.cpp.optimization.level.debug" valueType="enumerated" />
								<option id="gnu.cpp.compiler.option.debugging.level.440916347" name="Debug Level" superClass="gnu.cpp.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.cpp.debugging.level.max" valueType="enumerated" />
								<option id="gnu.cpp.compiler.option.include.paths.300943157" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath"><listOptionValue builtIn="false" value="../../../Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../../../Drivers/STM32F4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Device/ST/STM32F4xx/Include" /><listOptionValue builtIn="false" value="../../../Drivers/CMSIS/Include" /></option>
								<option id="gnu.cpp.compiler.option.preprocessor.def.symbols.1186708556" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols"><listOptionValue builtIn="false" value="__weak=__attribute__((weak))" /><listOptionValue builtIn="false" value="__packed=__attribute__((__packed__))" /><listOptionValue builtIn="false" value="USE_HAL_DRIVER" /><listOptionValue builtIn="false" value="STM32F411xE" /></option>
								<option id="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other.1894942204" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp.1851524043" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s.719404221" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s" />
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.1966322396" name="MCU GCC Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker">
								<option id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script.1455183560" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script" value="../STM32F411VETx_FLASH.ld" valueType="string" />
								<option id="gnu.c.link.option.libs.48083633" name="Libraries (-l)" superClass="gnu.c.link.option.libs" valueType="libs" />
								<option id="gnu.c.link.option.paths.559212708" name="Library search path (-L)" superClass="gnu.c.link.option.paths" valueType="libPaths" />
								<option id="gnu.c.link.option.ldflags.1156243017" superClass="gnu.c.link.option.ldflags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
								<option id="gnu.c.link.option.other.179131832" name="Other options (-Xlinker [option])" superClass="gnu.c.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
								<inputType id="cdt.managedbuild.tool.gnu.c.linker.input.1570324833" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
									<additionalInput kind="additionalinput" paths="$(LIBS)" />
								</inputType>
							</tool>
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.1785991980" name="MCU G++ Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker">
								<option id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script.95687445" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script" value="../STM32F411VETx_FLASH.ld" valueType="string" />
								<option id="gnu.cpp.link.option.libs.711449198" name="Libraries (-l)" superClass="gnu.cpp.link.option.libs" valueType="libs" />
								<option id="gnu.cpp.link.option.paths.102188781" name="Library search path (-L)" superClass="gnu.cpp.link.option.paths" valueType="libPaths" />
								<option id="gnu.cpp.link.option.ldflags.288007809" superClass="gnu.cpp.link.option.ldflags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
								<option id="gnu.cpp.link.option.other.1126237626" name="Other options (-Xlinker [option])" superClass="gnu.cpp.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
								<inputType id="cdt.managedbuild.tool.gnu.cpp.linker.input.744036062" superClass="cdt.managedbuild.tool.gnu.cpp.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
									<additionalInput kind="additionalinput" paths="$(LIBS)" />
								</inputType>
							</tool>	
							<tool id="fr.ac6.managedbuild.tool.gnu.archiver.973733079" name="MCU GCC Archiver" superClass="fr.ac6.managedbuild.tool.gnu.archiver" />
							<tool id="fr.ac6.managedbuild.tool.gnu.cross.assembler.exe.release.900075545" name="MCU GCC Assembler" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler.exe.release">
								<option id="gnu.both.asm.option.include.paths.1720705172" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" valueType="includePath">
									
								</option>
								<inputType id="cdt.managedbuild.tool.gnu.assembler.input.593154262" superClass="cdt.managedbuild.tool.gnu.assembler.input" />
								<inputType id="fr.ac6.managedbuild.tool.gnu.cross.assembler.input.1592498583" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler.input" />
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="" />
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings" />
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="05_PWM_input.fr.ac6.managedbuild.target.gnu.cross.exe.248127199" name="Executable" projectType="fr.ac6.managedbuild.target.gnu.cross.exe" />
	</storageModule>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="" />
		<scannerConfigBuildInfo instanceId="fr.ac6.managedbuild.config.gnu.cross.exe.debug.882498736;fr.ac6.managedbuild.config.gnu.cross.exe.debug.882498736.;fr.ac6.managedbuild.tool.gnu.cross.c.compiler.681786178;fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.912223922">
			<autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId="" />
		</scannerConfigBuildInfo>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders" />
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration artifactName="${ProjName}" configurationName="Debug">
			<resource resourceType="PROJECT" workspacePath="05_PWM_input" />
		</configuration>
	</storageModule>
</cproject>
